sin
Prev | Orchestra Opcodes and Operators | Next

## sin

sin — Performs a sine function.

## Description

Returns the sine of x (x in radians).

## Syntax

    sin(x) (no rate restriction)

## Examples

Here is an example of the sin opcode. It uses the file sin.csd.

Example 469. Example of the sin opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o sin.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      irad = 25
      i1 = sin(irad)

      print i1
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include a line like this:

    instr 1:  i1 = -0.132

## See Also

cos, cosh, cosinv, sinh, sininv, tan, tanh, taninv

## Credits

Example written by Kevin Conder.

Prev | Up | Next
shaker | Home | sinh